# Update Fixed Asset Endpoint: PUT /public/v1/fixed-assets/{record_number}/ Version: 1.0.0 ## Path parameters: - `record_number` (integer, required) ## Request fields (application/json): - `company_id` (integer, required) - `name` (string, required) - `serial_number` (string) - `currency_iso_4217_code` (string, required) Enum: "AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AUD", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BRL", "BSD", "BTN", "BWP", "BYN", "BZD", "CAD", "CDF", "CHF", "CLF", "CLP", "CNY", "COP", "CRC", "CUP", "CVE", "CZK", "DJF", "DKK", "DOP", "DZD", "EGP", "ERN", "ETB", "EUR", "FJD", "FKP", "GBP", "GEL", "GHS", "GIP", "GMD", "GNF", "GTQ", "GYD", "HKD", "HNL", "HTG", "HUF", "IDR", "ILS", "INR", "IQD", "IRR", "ISK", "JMD", "JOD", "JPY", "KES", "KGS", "KHR", "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LYD", "MAD", "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRU", "MUR", "MVR", "MWK", "MXN", "MYR", "MZN", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "PYG", "QAR", "RON", "RSD", "RUB", "RWF", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD", "SHP", "SLL", "SOS", "SRD", "STN", "SVC", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TOP", "TRY", "TTD", "TWD", "TZS", "UAH", "UGX", "USD", "UYU", "UZS", "VES", "VND", "VUV", "WST", "XAF", "XAG", "XAU", "XCD", "XDR", "XOF", "XPD", "XPF", "XPT", "YER", "ZAR", "ZMW", "ZWL" - `exchange_rate` (any, required) - `purchase_date` (string, required) - `memo` (string) - `cost` (any, required) - `status` (string, required) Enum: "active", "inactive", "disposed", "fully_amortized" - `asset_account_number` (integer, required) - `expense_account_number` (integer, required) - `accumulation_account_number` (integer, required) - `useful_life` (integer, required) - `salvage_value` (any, required) - `depreciation_method` (string, required) Enum: "straight_line", "straight_line_prorate_even", "declining_balance", "double_declining", "macrs_gds", "macrs_ads", "custom" - `depreciation_start_date` (string, required) - `convention` (string, required) Enum: "mid_month", "half_month", "full_month", "mid_quarter", "half_year" - `acceleration_factor` (any) - `accumulated_beginning_balance` (any) - `accumulated_through` (string,null) - `record_status` (string) Enum: "draft", "posted", "archived" - `address` (object,null) - `address.street` (string, required) - `address.city` (string, required) - `address.state` (string) - `address.postal_code` (string, required) - `address.country` (any) - `address.second_line` (string) - `classifications` (array) - `classifications.id` (integer, required) - `classifications.line_id` (integer, required) - `classifications.line_name` (string, required) - `classifications.parent_classification_id` (integer,null) - `classifications.parent_classification_line_id` (integer,null) ## Response 200 fields (application/json): - `created_by` (object,null) Schema for audit actor information. - `created_by.actor_type` (string,null) - `created_by.email` (string,null) - `created_by.first_name` (string,null) - `created_by.last_name` (string,null) - `created_by.timestamp` (string,null) - `updated_by` (object,null) Schema for audit actor information. - `internal_id` (integer, required) - `number` (integer, required) - `company_id` (integer, required) - `company_name` (string, required) - `name` (string, required) - `serial_number` (string, required) - `currency_iso_4217_code` (string, required) Enum: "AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AUD", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BRL", "BSD", "BTN", "BWP", "BYN", "BZD", "CAD", "CDF", "CHF", "CLF", "CLP", "CNY", "COP", "CRC", "CUP", "CVE", "CZK", "DJF", "DKK", "DOP", "DZD", "EGP", "ERN", "ETB", "EUR", "FJD", "FKP", "GBP", "GEL", "GHS", "GIP", "GMD", "GNF", "GTQ", "GYD", "HKD", "HNL", "HTG", "HUF", "IDR", "ILS", "INR", "IQD", "IRR", "ISK", "JMD", "JOD", "JPY", "KES", "KGS", "KHR", "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LYD", "MAD", "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRU", "MUR", "MVR", "MWK", "MXN", "MYR", "MZN", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "PYG", "QAR", "RON", "RSD", "RUB", "RWF", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD", "SHP", "SLL", "SOS", "SRD", "STN", "SVC", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TOP", "TRY", "TTD", "TWD", "TZS", "UAH", "UGX", "USD", "UYU", "UZS", "VES", "VND", "VUV", "WST", "XAF", "XAG", "XAU", "XCD", "XDR", "XOF", "XPD", "XPF", "XPT", "YER", "ZAR", "ZMW", "ZWL" - `exchange_rate` (string, required) - `purchase_date` (string, required) - `memo` (string, required) - `cost` (string, required) - `status` (string, required) Enum: "active", "inactive", "disposed", "fully_amortized" - `record_status` (string, required) Enum: "draft", "posted", "archived" - `asset_account_number` (integer, required) - `expense_account_number` (integer, required) - `accumulation_account_number` (integer, required) - `useful_life` (integer,null) - `salvage_value` (string,null) - `depreciation_method` (string,null) Enum: "straight_line", "straight_line_prorate_even", "declining_balance", "double_declining", "macrs_gds", "macrs_ads", "custom" - `depreciation_start_date` (string,null) - `convention` (string,null) Enum: "mid_month", "half_month", "full_month", "mid_quarter", "half_year" - `accumulated_beginning_balance` (string,null) - `accumulated_through` (string,null) - `classifications` (array) - `classifications.id` (integer, required) - `classifications.line_id` (integer, required) - `classifications.line_name` (string, required) - `classifications.parent_classification_id` (integer,null) - `classifications.parent_classification_line_id` (integer,null) ## Response 400 fields (application/json): - `success` (boolean) - `errors` (object, required) ## Response 404 fields (application/json): - `success` (boolean) - `errors` (object, required) ## Response 422 fields (application/json): - `success` (boolean) - `errors` (object, required) ## Response 500 fields (application/json): - `success` (boolean) - `errors` (object, required)